Bug 733813 - [abrt] ksh-20110505-2.fc15: ed_histgen: Process /bin/ksh was killed by signal 11 (SIGSEGV)
Summary: [abrt] ksh-20110505-2.fc15: ed_histgen: Process /bin/ksh was killed by signal...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ksh
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:168c9d9904ac229c89923239686...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-27 01:37 UTC by Paul Gross
Modified: 2011-12-22 22:52 UTC (History)
1 user (show)

Fixed In Version: ksh-20110630-6.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-22 22:44:47 UTC


Attachments (Terms of Use)
File: backtrace (21.03 KB, text/plain)
2011-08-27 01:37 UTC, Paul Gross
no flags Details

Description Paul Gross 2011-08-27 01:37:11 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        -ksh
comment:        I was in emacs mode and trying to back up in history and edit.  The shell was not responding, and I was typing fast, so I'm not sure the exact set of keystrokes.
component:      ksh
crash_function: ed_histgen
executable:     /bin/ksh
kernel:         2.6.40-4.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        ksh-20110505-2.fc15
reason:         Process /bin/ksh was killed by signal 11 (SIGSEGV)
time:           Fri Aug 26 19:28:18 2011
uid:            500
username:       prgross

backtrace:      Text file, 21539 bytes

dso_list:
:/lib64/libm-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314243547
:/lib64/libdl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314243547
:/lib64/ld-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314243547
:/usr/lib/locale/locale-archive glibc-common-2.14-5.x86_64 (Fedora Project) 1314243541
:/bin/ksh ksh-20110505-2.fc15.x86_64 (Fedora Project) 1308973603
:/lib64/libc-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314243547

environ:
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1675,unix/unix:/tmp/.ICE-unix/1675
:SSH_AUTH_SOCK=/tmp/keyring-wWm2Eu/ssh
:LD_LIBRARY_PATH=/usr/lib64/fglrx:/usr/lib/catalyst:
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:DISPLAY=:0.0
:PWD=/home/prgross
:LOGNAME=prgross
:ENV=/home/prgross/.env
:GNOME_KEYRING_PID=1667
:IMSETTINGS_MODULE=none
:XAUTHORITY=/var/run/gdm/auth-for-prgross-qSazb7/database
:QTDIR=/usr/lib64/qt-3.3
:'A__z=\"*SHLVL'
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_SESSION_ID=1
:SHLVL=1
:DESKTOP_SESSION=gnome
:G_BROKEN_FILENAMES=1
:GDMSESSION=gnome
:GNOME_KEYRING_CONTROL=/tmp/keyring-wWm2Eu
:USERNAME=prgross
:WINDOWPATH=1
:COLORTERM=gnome-terminal
:CDPATH=.:..:../..:../../..:/home/prgross
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:ORBIT_SOCKETDIR=/tmp/orbit-prgross
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-uxOA72OSCf,guid=b03c35b9cab3030c6b8bb3c700000038
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:MAIL=/var/spool/mail/prgross
:_=*1497*/usr/bin/gnome-session
:TOOLS=/opt/exp
:HISTCONTROL=ignoredups
:XDG_SESSION_COOKIE=2ec729e76fc95793a1d6e06e0000000a-1314240791.484925-915989512
:GDM_LANG=
:HOSTNAME=workstation
:'_AST_FEATURES=UNIVERSE - ucb'
:QT_IM_MODULE=xim
:WINDOWID=39861341
:TERM=xterm
:HISTSIZE=1000
:QTLIB=/usr/lib64/qt-3.3/lib
:KDEDIRS=/usr
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/opt/exp/bin
:SHELL=/bin/ksh
:HOME=/home/prgross
:LIBGL_DRIVERS_PATH=/usr/lib64/dri:/usr/lib/dri:
:XMODIFIERS=@im=none
:USER=prgross
:QTINC=/usr/lib64/qt-3.3/include
:GPG_AGENT_INFO=/tmp/keyring-wWm2Eu/gpg:0:1
:XDG_RUNTIME_DIR=/run/user/prgross

maps:
:00400000-00552000 r-xp 00000000 fd:01 12275                              /bin/ksh
:00752000-00764000 rw-p 00152000 fd:01 12275                              /bin/ksh
:00764000-0076a000 rw-p 00000000 00:00 0 
:022be000-022fe000 rw-p 00000000 00:00 0                                  [heap]
:3208800000-320881f000 r-xp 00000000 fd:01 137182                         /lib64/ld-2.14.so
:3208a1e000-3208a1f000 r--p 0001e000 fd:01 137182                         /lib64/ld-2.14.so
:3208a1f000-3208a20000 rw-p 0001f000 fd:01 137182                         /lib64/ld-2.14.so
:3208a20000-3208a21000 rw-p 00000000 00:00 0 
:3208c00000-3208d8f000 r-xp 00000000 fd:01 158328                         /lib64/libc-2.14.so
:3208d8f000-3208f8f000 ---p 0018f000 fd:01 158328                         /lib64/libc-2.14.so
:3208f8f000-3208f93000 r--p 0018f000 fd:01 158328                         /lib64/libc-2.14.so
:3208f93000-3208f94000 rw-p 00193000 fd:01 158328                         /lib64/libc-2.14.so
:3208f94000-3208f9a000 rw-p 00000000 00:00 0 
:3209000000-3209083000 r-xp 00000000 fd:01 163154                         /lib64/libm-2.14.so
:3209083000-3209282000 ---p 00083000 fd:01 163154                         /lib64/libm-2.14.so
:3209282000-3209283000 r--p 00082000 fd:01 163154                         /lib64/libm-2.14.so
:3209283000-3209284000 rw-p 00083000 fd:01 163154                         /lib64/libm-2.14.so
:3209800000-3209802000 r-xp 00000000 fd:01 163247                         /lib64/libdl-2.14.so
:3209802000-3209a02000 ---p 00002000 fd:01 163247                         /lib64/libdl-2.14.so
:3209a02000-3209a03000 r--p 00002000 fd:01 163247                         /lib64/libdl-2.14.so
:3209a03000-3209a04000 rw-p 00003000 fd:01 163247                         /lib64/libdl-2.14.so
:7f42d0d25000-7f42d7148000 r--p 00000000 fd:01 137575                     /usr/lib/locale/locale-archive
:7f42d7148000-7f42d714c000 rw-p 00000000 00:00 0 
:7f42d716b000-7f42d716c000 rw-p 00000000 00:00 0 
:7fff70b9d000-7fff70bbe000 rw-p 00000000 00:00 0                          [stack]
:7fff70bff000-7fff70c00000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Aug 26 19:28:18 workstation kernel: [167762.674693] ksh[24787]: segfault at 3 ip 0000000000418e5d sp 00007fff70bb7570 error 4 in ksh[400000+152000]
:Aug 26 19:28:18 workstation abrt[25005]: saved core dump of pid 24787 (/bin/ksh) to /var/spool/abrt/ccpp-2011-08-26-19:28:18-24787.new/coredump (622592 bytes)

Comment 1 Paul Gross 2011-08-27 01:37:15 UTC
Created attachment 520151 [details]
File: backtrace

Comment 2 Michal Hlavinka 2011-08-29 08:27:40 UTC
reproducer:

set -o emacs
#comment
<ctrl-r>com<enter>   OR   <up>

Comment 3 Fedora Update System 2011-12-12 09:30:16 UTC
ksh-20110630-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ksh-20110630-6.fc15

Comment 4 Fedora Update System 2011-12-12 09:30:33 UTC
ksh-20110630-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ksh-20110630-3.fc14

Comment 5 Fedora Update System 2011-12-12 09:30:47 UTC
ksh-20110630-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ksh-20110630-6.fc16

Comment 6 Fedora Update System 2011-12-12 21:59:55 UTC
Package ksh-20110630-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ksh-20110630-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17020/ksh-20110630-6.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-12-22 22:44:47 UTC
ksh-20110630-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-12-22 22:52:11 UTC
ksh-20110630-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.